import * as React from 'react';
import { NavbarProps } from 'react-bootstrap/Navbar';
import { LinkProps } from 'react-router-dom';
import { IHeaderProps as ICoreHeaderProps } from '@reactionable/core';
import { INavItem } from '../../nav/NavItem';
export declare type IHeaderProps = Omit<ICoreHeaderProps<INavItem>, 'brand'> & NavbarProps & {
    brand?: string | LinkProps;
};
export declare function Header({ brand, navItems, ...navbarProps }: React.PropsWithChildren<IHeaderProps>): JSX.Element;
